AutoCAD Tips & Tricks of the Day

Page 5 of 5 Previous  1, 2, 3, 4, 5

Go down

AutoCAD Tips & Tricks of the Day

Post by oRangE.n.GreeN on Thu Feb 19, 2009 1:12 am

First topic message reminder :

.


February 19 2009

Command:EXTRIM

To see this command in action, draw a rectangle with LOTS of lines going through it. Then type EXTRIM and select the rectangle. You are then prompted to “specify the side to trim on: “. If you pick outside the box, it trims everything crossing the box around the outside and you are left with just the lines in the middle. If you select inside the box, it trims all the lines inside the rectangle and leaves the lines on the outside. Sounds a little confusing? Give it a try and it will make perfect sense.

Very cool!



.


Last edited by oRangE.n.GreeN on Wed Feb 25, 2009 2:00 am; edited 1 time in total
avatar
oRangE.n.GreeN
CGP Guru
CGP Guru

Number of posts : 1078
Age : 91
Location : Sultanate of Oman
Registration date : 08/11/2008

View user profile

Back to top Go down


Re: AutoCAD Tips & Tricks of the Day

Post by trying hard on Tue Feb 21, 2012 8:47 pm

dwin_0921 wrote:hi to all this is lsp
if your using lay-out most,,just type T1 and willl go directly to lay-out
type T0 n back to model n many more..

;;; Program Lisp

;;; This Lisp allows you to change Views.
;;;
;;;****************************************************************************

(defun c:t1 () (command "tilemode" "1"))
(defun c:t0 () (command "tilemode" "0"))
(defun c:v1 () (command "vports" "si"))
(defun c:v2h () (command "vports" "2" "h"))
(defun c:v2v () (command "vports" "2" "v"))
(defun c:vd () (command "vports" "d"))
(defun c:2v () (command "view" "w" "1" pause pause "view" "w" "2" pause pause
"vports" "2" pause "cvport" "2" "view" "r" "1" "cvport" "3" "view" "r" "2"))
(defun c:vd () (command "view" "d"))
(defun c:vr () (command "view" "r"))
(defun c:vs () (command "view" "s"))
(defun c:vw () (command "view" "w" pause "none" pause "none"))
(defun c:v? () (command "view" "?" ""))


;;;*****************************END OF PROGRAM************************

2thumbsup

meron din kapareho shortcut to. if you're in model space, just press ctr + pgdn(page down), if in layout space press ctr + pgup(page up). pareho nga ba sir dwin?

ako din share ko rin other commands na ginagamit namin:
1. find - if you'd like to instantly change a word or words on your labelings, annotations and it even works on attributes. we can use this also in selecting the texts where the a certain word/s is located
2. filter - we use this mainly on selecting entities. kapareho din ito nung quick select sa properties tab kaya lang mas madami lang syang option.
3. in relation to selecting objects, while using a modify tool(like move etc), type L(last), P(previous), WP(window polygon), CP(cross polygon). very effective kapag maraming objects. sa command line type select then press f1 na lang para mas maintindihan.
4. clipit - para din syang xclip na ginagamit para sa blocks at xrefs. pero ito naman kung may curved boundaries tayo.
5. field - effective to sa complexed projects. pang-automate ng mga labels/annotations, attributes, sheet sets etc
6. ncopy - to duplicate objects from blocks or xrefs on your current drawing.

trying hard
CGP Newbie
CGP Newbie

Number of posts : 105
Registration date : 08/12/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by cadmagic on Thu Jul 12, 2012 2:54 am

HERE'S ANOTHER AUTOLISP I DID WHEN I WAS SO ADDICTED TO LISP MAKING WAY BACK 8 YEARS AGO.

JUST COPY THE CODE AND PASTE IN NOTEPAD AND SAVE IT AS ANY NAME YOU WANT BUT I CALL THIS INVISIBLE AND VISIBLE AND JUST MAKE SURE TO PUT A .LSP EXTENSION TO IT.


(defun C:00 (/ ent) ; mawagtang ka hahahhaha
(setq ent (entget (car (entsel))))
(if (assoc 60 ent)
(setq ent (subst '(60 . 1) (assoc 60 ent) ent))
(setq ent (append ent '((60 . 1)))))
(entmod ent)
(princ)
(ALERT "\n WAGTANG MAN UG KALIT HAHAHHAHA")
)

(defun C:11 (/ ss n ent) ; mobalik ka hahahhahaha
(setq ss (ssget "x" '((60 . 1)))
n (1- (sslength ss)))
(while (>= n 0)
(setq ent (entget (ssname ss n))
ent (subst '(60 . 0) (assoc 60 ent) ent)
n (1- n))
(entmod ent))
(princ)
(ALERT "\n NIBALIK NA HAHAHAHHA")
)

cadmagic
CGP Newbie
CGP Newbie

Number of posts : 55
Age : 41
Location : Cebu City/ Jeddah, Saudi Arabia
Registration date : 19/12/2009

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by zagvot on Thu Jul 12, 2012 6:30 am

read back mamaya mga sir malaking tulong to
avatar
zagvot
CGP Newbie
CGP Newbie

Number of posts : 91
Age : 28
Location : surigao city
Registration date : 27/12/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by cadmagic on Thu Jul 12, 2012 6:49 am

manlomz wrote:
bimbim wrote:
graint wrote:Hi guys,

Hingi sana ng tulong.

Pag nag attached ako ng photo sa autocad file at pinadala ko dun sa client thru e mail, laging kasama yung folder na pinaglalagyan nung photos na naka attached dun sa autocad file. Meron po bang paraan para mabuksan nya yung autocad file at nandun parin yung photos kahit hinde na isama sa pagpapadala yung folder na pinaglalagayan ng mga photos? HInde pwede ipadala ng naka "PDF" kasi -i-edit pa nila sa destination yung file.Thanks in advance.


ito workaround ko jan, you just need to have PAINT or PHOTOSHOP in your pc to do the trick

- just type INSERTOBJ, a window will open, click tickbox of CREATE NEW, piliin mo from the list PAINTBRUSH PICTURE
- mag-open un PAINT na meron blank image, now find your file in your computer, right click mo then OPEN WITH > PAINT, another PAINT window will open, click the SELECT TOOL then select mo un pic mo, after selecting your pic, right click then COPY, or Control C. Go back to your first blank image then press CONTROL V. After the image has been copied close PAINT, no need to save. As you can see, un image has now been transfered sa ACAD, embeded na cia.

You can also select ADOBE PHOTOSHOP IMAGE dun sa INSERT OBJECT window, but the case is mas malaking file size and nake-create niya, minsan masyado nagiging sharp un image me mga blotches sa image na nake-create sa ACAD so i suggested na PAINT na lang

PROS:
- pic will be embeded
- no need to reference files

CONS:
- dwg file size varies depends dun sa pic na gagamitin mo kaya monitor your file size
- minsan me image saturation


NOTE:

-INSERTOBJ command eh pwede rin gamitin to embed Excel, Powerpoint, Word Docs, actually same process, just need to copy the info dun sa provided blank image ng ACAD.


Hope this helps! Good day!



Sir maraming salamat ,,,,tagal kung hinanap to,,,



well, the best way to do this is using e-transmit from the File drop down menu and click e-transmit, just make sure when you modify the transmital setup you enable the Place all files in one folder so in this way di na makasama lahat ng folder kong saan naka reference yung mga photos mo.


cadmagic
CGP Newbie
CGP Newbie

Number of posts : 55
Age : 41
Location : Cebu City/ Jeddah, Saudi Arabia
Registration date : 19/12/2009

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by arlodesign on Fri Jul 13, 2012 7:50 am

even there is no express tools installed, extrim works sir
avatar
arlodesign
CGP Apprentice
CGP Apprentice

Number of posts : 202
Age : 35
Location : kalapan
Registration date : 14/12/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by zagvot on Fri Jul 27, 2012 8:14 am

share ko lang mga sir

FILEDIA

ito yung command na nawawala yung user interface kapag nag sasave at nag oopen ka

hmmm parang nagiging line command yung path instead of graphics (makikita yung folder etc)

try niyo kasi palaging problem ko ito nung una

FILEDIA 0
FILEDIA 1
avatar
zagvot
CGP Newbie
CGP Newbie

Number of posts : 91
Age : 28
Location : surigao city
Registration date : 27/12/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by lambo_san on Tue Aug 07, 2012 8:55 am

bossing tnry ko po yung snsbi nyo n mag embed ng image sa cad sinubukan
ko po every step n binigay nyo kaso ganito yung nangyayari sakin..see
image below


avatar
lambo_san

Number of posts : 1
Age : 26
Location : Quezon City
Registration date : 19/06/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by render master on Tue Aug 07, 2012 11:00 am

lambo_san wrote:bossing tnry ko po yung snsbi nyo n mag embed ng image sa cad sinubukan
ko po every step n binigay nyo kaso ganito yung nangyayari sakin..

could be:

1 - image linked is not located or displaced
2 - graphics card issue

_________________
http://rendermaster.blogspot.com/
avatar
render master
Game Master
Game Master

Number of posts : 3268
Age : 97
Location : riyadh, saudi arabia
Registration date : 27/09/2008

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by trying hard on Tue Aug 07, 2012 4:27 pm

lambo_san wrote:bossing tnry ko po yung snsbi nyo n mag embed ng image sa cad sinubukan
ko po every step n binigay nyo kaso ganito yung nangyayari sakin..see
image below





this looks like a unloaded image xref. if you attach an image as an xref kasi, tapos in-unload mo, ganyan na ganyan frame lang ng image ang makikita mo. pero kung sinunod mo naman instruction, maybe meron ka lang namiss sir.

one way to check if its an embeded image is checking the properties. dapat 'ole' ang property ng object mo. but if its a 'raster image' then its an externally referenced object. what's your autocad version at ano os mo?

lambo_san bawal daw ang text speak.... reminder lang sir.
avatar
trying hard
CGP Newbie
CGP Newbie

Number of posts : 105
Age : 39
Location : P.O. G, L.A.
Registration date : 08/12/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by JMO on Sat Dec 08, 2012 8:06 pm

Sir lambo if xref yan always check first the units.,detached & attached mo ulit purge audit, 2nd if raster image yan i think sa path location mo lang ang problem, 3rd restart your PC follow mo lang ulit yung option 1 & 2, hope nakatulong..
avatar
JMO
CGP Newbie
CGP Newbie

Number of posts : 41
Age : 37
Location : Dasmariñas Ctiy, Cavite
Registration date : 01/04/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by JMO on Sat Dec 08, 2012 8:11 pm

Fast & usefull for copying txt for attributes & single text..hope naka tulong



(setvar "modemacro" "Merry Christmas")

(defun C:tt ( / A B)
(setq A (cdr (assoc 1 (entget (car (entsel "Select TEXT to transfer: "))))))
(while (setq B (car (entsel "Select TEXT item to replace: ")))
(setq C (entget B))
(entmod (subst (cons 1 A)(assoc 1 C)C))
(if (or (= (cdr (assoc 0 C)) "POLYLINE")z(= (cdr (assoc 0 C)) "INSERT"))
(entupd B)))

(princ)
)

(defun C:tf ()
(setq a (entget (car (nentsel))))
(setq dttext (cdr (assoc 1 a)))
(command "attedit" "" "" "" "" pause "" "v" "r" dttext ""))

(defun c:da (/ a b b1 c cx cy d dx dy ex ey fx fy g1 g2 h1 h2 np npy npx)
(initget 1 " H V ")

(setq q1 (getkword "Adjust dimension line hor/ver?"))(princ)
(prompt "\nSelect Dimensions: ")
(setq a (ssget))
(setq np (getpoint))
(setq npx (car np))
(setq npy (cadr np))
(setq n (sslength a))
(setq index 0)
(repeat n
(setq b1 (entget (ssname a index)))
(setq index (+ index 1))
(setq b (assoc 0 b1))
(if (= "DIMENSION" (cdr b))
(progn
(setq c (assoc 13 b1))
(setq d (assoc 14 b1))
(setq ex (cons (car c) (list (cadr c) npy)))
(setq fx (cons (car d) (list (cadr d) npy)))
(setq g1 (subst ex c b1))
(setq g2 (subst fx d g1))
(setq ey (cons (car c) (list npx (caddr c))))
(setq fy (cons (car d) (list npx (caddr d))))
(setq h1 (subst ey c b1))
(setq h2 (subst fy d h1))
))
(if (= (strcase q1) "H")
(progn
(entmod g1)
(entmod g2)))
(if (= (strcase q1) "V")
(progn
(entmod h1)
(entmod h2)))))


(defun dtr (a)
(* pi (/ a 180.0))
)

(defun rtd (a)
(/ (* a 180.0) pi)
)
avatar
JMO
CGP Newbie
CGP Newbie

Number of posts : 41
Age : 37
Location : Dasmariñas Ctiy, Cavite
Registration date : 01/04/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by ydhenash on Mon Jul 29, 2013 7:58 pm

Express Tool -> TCOUNT

para sa mga ayaw magmanual count sa mga lote,
especially sa mga gumagawa ng site development plan
or numbering lang ng graph.=)
avatar
ydhenash
CGP Newbie
CGP Newbie

Number of posts : 6
Age : 28
Location : P.O. Box 2740 -Riyadh 11461
Registration date : 29/01/2012

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by jervinayad03 on Tue Oct 21, 2014 11:24 pm

nice sir nagana siya sa autocad 2014  thanks sa info
avatar
jervinayad03
CGP Newbie
CGP Newbie

Number of posts : 137
Age : 27
Location : Las Piñas City
Registration date : 29/07/2014

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by quicklearner on Sun Oct 26, 2014 10:59 pm

Mga Sir, share ko lang mga napulot kong command.

OSNAPHATCH - (VALUE - 1) Kung gusto nyong mag-snap sa any kind of hatch

HATCHTOBACK - (as the word implies) lahat ng hatch nyo sa drawing masesend to back

TEXTTOFRONT - (as the word implies) lahat ng text nyo sa drawing mabibring to front

MIRRHATCH - ( set value - 1) yung hatch nyo mamimirror the other way around.

Sige po yun muna sa ngayon. Hanap ulit ako. hehehe
Thanks everyone..
avatar
quicklearner
CGP Newbie
CGP Newbie

Number of posts : 74
Age : 33
Location : dubai, uae
Registration date : 07/02/2011

View user profile

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by adper27 on Tue Apr 03, 2018 9:32 pm

SPACESWITCH command    2009-2015 
Have you ever accidentally activated model space when trying to edit a text object in
paper space?  Me too!  Modify the system variable SPACESWITCH to disable the ability to
through a viewport to activate model space.  
SPACESWITCH
Controls whether model space can be accessed by double-clicking in a layout viewport.
 
Initial value:  1
0  Prevent access to model space
1  Allow access to model space
avatar
adper27
CGP Newbie
CGP Newbie

Number of posts : 41
Age : 36
Location : valenzuela city
Registration date : 07/07/2012

View user profile http://pinoycadcoin.blogspot.com

Back to top Go down

Re: AutoCAD Tips & Tricks of the Day

Post by Sponsored content


Sponsored content


Back to top Go down

Page 5 of 5 Previous  1, 2, 3, 4, 5

Back to top

- Similar topics

 
Permissions in this forum:
You cannot reply to topics in this forum